!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_890) = -cima*dMS_QED2
      coupl(nGC_894) = cima*dMZ2_QED2
      coupl(nGC_895) = cima*dMW2_QED2
      coupl(nGC_796) = coupl(nGC_384)*dZee_QED2 + coupl(nGC_385)*dsw_QED2 +    &
                       coupl(nGC_386)*dcw_QED2
      coupl(nGC_879) = -cima*dME_QED2
      coupl(nGC_877) = -cima*dMH2_QED2
      coupl(nGC_512) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_489) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1131) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_1133) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_762) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                       3d0)
      coupl(nGC_763) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_598) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_1005) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_1007) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_658) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                       ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_481) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_482) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi**&
                       2d0)
      coupl(nGC_521) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_526) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4  &
                       )**2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_488) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11&
                       )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1125) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_487) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_999) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_997) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_994) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_992) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_990) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_486) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_709) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_961) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_739) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_865) = coupl(nGC_419)*dyc_QED1_QCD2
      coupl(nGC_863) = coupl(nGC_421)*dyc_QED1_QCD2
      coupl(nGC_944) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_942) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1194) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_456) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_454) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_892) = -cima*dMB_QED2
      coupl(nGC_893) = -cima*dMB_QCD2
      coupl(nGC_673) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                       ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_670) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                       ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_602) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_683) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl(&
                       nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_682) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl( &
                       nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1084) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_492) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_823) = -cima*dys_QED1_QCD2
      coupl(nGC_490) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_770) = coupl(nGC_341)*dZee_QED2 + coupl(nGC_342)*dsw_QED2 +    &
                       coupl(nGC_343)*dcw_QED2
      coupl(nGC_776) = coupl(nGC_392)*dsw_QED2 + coupl(nGC_393)*dMW2_QED2 +    &
                       coupl(nGC_394)*dZee_QED2 + coupl(nGC_395)*dcw_QED2
      coupl(nGC_774) = coupl(nGC_346)*dsw_QED2 + coupl(nGC_347)*dMW2_QED2 +    &
                       coupl(nGC_348)*dZee_QED2
      coupl(nGC_778) = coupl(nGC_355)*dsw_QED2 + coupl(nGC_356)*dMW2_QED2 +    &
                       coupl(nGC_357)*dZee_QED2
      coupl(nGC_829) = coupl(nGC_424)*dydo_QED1_QCD2
      coupl(nGC_828) = coupl(nGC_424)*dydo_QED3
      coupl(nGC_1127) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_822) = -cima*dys_QED3
      coupl(nGC_821) = cima*dyc_QED1_QCD2
      coupl(nGC_820) = cima*dyc_QED3
      coupl(nGC_827) = -cima*dyb_QED1_QCD2
      coupl(nGC_826) = -cima*dyb_QED3
      coupl(nGC_825) = cima*dyt_QED1_QCD2
      coupl(nGC_824) = cima*dyt_QED3
      coupl(nGC_891) = -cima*dMS_QCD2
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_916) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_914) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_918) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_852) = coupl(nGC_428)*dym_QED3
      coupl(nGC_851) = coupl(nGC_429)*dym_QED3
      coupl(nGC_536) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_625) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_622) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_740) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_741) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_1211) = -coupl(nGC_682)
      coupl(nGC_1212) = -coupl(nGC_683)
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_733) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0*Nc)
      coupl(nGC_816) = -cima*dydo_QED3
      coupl(nGC_817) = -cima*dydo_QED1_QCD2
      coupl(nGC_814) = coupl(nGC_379)*dZee_QED2 + coupl(nGC_380)*dsw_QED2 +    &
                       coupl(nGC_381)*dcw_QED2
      coupl(nGC_818) = cima*dyup_QED3
      coupl(nGC_1025) = coupl(nGC_53)*dZbR_QCD2/2d0 + coupl(nGC_53)*dZtL_QCD2/ &
                        2d0 + coupl(nGC_827)
      coupl(nGC_1024) = coupl(nGC_53)*dZbR_QED2/2d0 + coupl(nGC_53)*dZtL_QED2/ &
                        2d0 + coupl(nGC_826)
      coupl(nGC_888) = -cima*dMD_QED2
      coupl(nGC_925) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_923) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_920) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_889) = -cima*dMD_QCD2
      coupl(nGC_881) = -cima*dMTA_QED2
      coupl(nGC_880) = -cima*dMM_QED2
      coupl(nGC_883) = -cima*dMU_QCD2
      coupl(nGC_882) = -cima*dMU_QED2
      coupl(nGC_885) = -cima*dMC_QCD2
      coupl(nGC_884) = -cima*dMC_QED2
      coupl(nGC_887) = -cima*dMT_QCD2
      coupl(nGC_886) = -cima*dMT_QED2
      coupl(nGC_540) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_542) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_732) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                       32d0*pi**2d0)
      coupl(nGC_546) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_864) = coupl(nGC_419)*dyc_QED3
      coupl(nGC_862) = coupl(nGC_421)*dyc_QED3
      coupl(nGC_1067) = coupl(nGC_73)*dZcL_QED2/2d0 + coupl(nGC_73)*dZsR_QED2/ &
                        2d0 + coupl(nGC_822)
      coupl(nGC_788) = coupl(nGC_339)*dZee_QED2 + coupl(nGC_340)*dsw_QED2
      coupl(nGC_789) = coupl(nGC_409)*dsw_QED2 + coupl(nGC_410)*dZee_QED2 +    &
                       coupl(nGC_411)*dvev_QED1
      coupl(nGC_786) = coupl(nGC_448)*dZee_QED2
      coupl(nGC_787) = coupl(nGC_344)*dZee_QED2 + coupl(nGC_345)*dsw_QED2
      coupl(nGC_784) = coupl(nGC_382)*dlam_QED4 + coupl(nGC_383)*dvev_QED1
      coupl(nGC_785) = coupl(nGC_390)*dlam_QED4 + coupl(nGC_391)*dvev_QED1
      coupl(nGC_782) = coupl(nGC_309)*dlam_QED4
      coupl(nGC_783) = -cima*dlam_QED4
      coupl(nGC_780) = coupl(nGC_402)*dZee_QED2 + coupl(nGC_403)*dsw_QED2 +    &
                       coupl(nGC_404)*dMZ2_QED2 + coupl(nGC_405)*dcw_QED2
      coupl(nGC_781) = coupl(nGC_310)*dlam_QED4
      coupl(nGC_669) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                       nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl(&
                       nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_668) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                       nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)** &
                       2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0  &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_549) = (coupl(nGC_160)*coupl(nGC_41)*coupl(nGC_81) + coupl(    &
                       nGC_170)*coupl(nGC_23)*coupl(nGC_83) + coupl(nGC_22)*   &
                       coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_40&
                       )*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(32d0*pi**2d0&
                       )
      coupl(nGC_650) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4 &
                       )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +    &
                       coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl( &
                       nGC_81)**2d0)/(32d0*pi**2d0)
      coupl(nGC_798) = coupl(nGC_376)*dZee_QED2 + coupl(nGC_377)*dsw_QED2 +    &
                       coupl(nGC_378)*dcw_QED2
      coupl(nGC_963) = coupl(nGC_39)*dZtL_QCD2
      coupl(nGC_1066) = coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(nGC_57)*dZsL_QCD2/ &
                        2d0 + coupl(nGC_821)
      coupl(nGC_966) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_965) = coupl(nGC_35)*dZtR_QCD2
      coupl(nGC_968) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_849) = coupl(nGC_427)*dye_QED3
      coupl(nGC_848) = -cima*dytau_QED3
      coupl(nGC_845) = coupl(nGC_413)*dyb_QED1_QCD2
      coupl(nGC_844) = coupl(nGC_413)*dyb_QED3
      coupl(nGC_847) = -cima*dym_QED3
      coupl(nGC_846) = -cima*dye_QED3
      coupl(nGC_841) = coupl(nGC_423)*dydo_QED1_QCD2
      coupl(nGC_840) = coupl(nGC_423)*dydo_QED3
      coupl(nGC_1075) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_1073) = -coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_819) = cima*dyup_QED1_QCD2
      coupl(nGC_708) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1198) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_612) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_174)*  &
                       coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_182)*coupl(     &
                       nGC_38)*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_75) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) -   &
                       coupl(nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_613) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_182)*  &
                       coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74) -   &
                       coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_74&
                       )**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_614) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_615) = (-coupl(nGC_170)*coupl(nGC_23)*coupl(nGC_77) - coupl(   &
                       nGC_182)*coupl(nGC_39)*coupl(nGC_78) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_79) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79 &
                       ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(  &
                       nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0* &
                       pi**2d0)
      coupl(nGC_616) = (-coupl(nGC_182)*coupl(nGC_35)*coupl(nGC_80) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*coupl(nGC_23 &
                       )*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80) -   &
                       coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_79&
                       )**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_617) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_753) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl(&
                       nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_188) +  &
                       3d0*cima*coupl(nGC_188)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                       coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(  &
                       nGC_188)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_757) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima&
                       *coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_188)**2d0  &
                        + 39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 -  &
                       3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**2d0 + 36d0&
                       *cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_756) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima&
                       *coupl(nGC_12)*coupl(nGC_188) + 12d0*Nc*coupl(nGC_10)** &
                       2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0* &
                       coupl(nGC_188)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                       sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_1065) = coupl(nGC_57)*dZcR_QED2/2d0 + coupl(nGC_57)*dZsL_QED2/ &
                        2d0 + coupl(nGC_820)
      coupl(nGC_485) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11 &
                       )**2d0)/(64d0*pi**2d0)
      coupl(nGC_815) = coupl(nGC_352)*dZee_QED2 + coupl(nGC_353)*dsw_QED2 +    &
                       coupl(nGC_354)*dcw_QED2
      coupl(nGC_505) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                       nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(  &
                       nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 + &
                       4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(  &
                       nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(  &
                       nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 - &
                       4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(  &
                       nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(  &
                       nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 + &
                       coupl(nGC_160)**2d0*coupl(nGC_4) + coupl(nGC_164)**2d0* &
                       coupl(nGC_4) - 6d0*coupl(nGC_174)*coupl(nGC_20)*coupl(  &
                       nGC_3) - 6d0*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_3   &
                       ) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(    &
                       nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(     &
                       nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_501) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +     &
                       coupl(nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(   &
                       nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_502) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1070) = coupl(nGC_877) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_1109) = coupl(nGC_39)*dZcL_QCD2
      coupl(nGC_1105) = coupl(nGC_34)*dZbR_QCD2
      coupl(nGC_1106) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_40)*dZtauMinusL_QED2 + coupl(nGC_798)
      coupl(nGC_1107) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*            &
                        dZtauMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl( &
                        nGC_815)
      coupl(nGC_1101) = -coupl(nGC_4)*dZAZ_QED2/2d0 - coupl(nGC_40)*dZZ_QED2/  &
                        2d0 - coupl(nGC_798)
      coupl(nGC_1103) = coupl(nGC_38)*dZbL_QCD2
      coupl(nGC_801) = coupl(nGC_387)*dZee_QED2 + coupl(nGC_388)*dcw_QED2 +    &
                       coupl(nGC_389)*dvev_QED1
      coupl(nGC_800) = coupl(nGC_451)*dZee_QED2 + coupl(nGC_452)*dcw_QED2
      coupl(nGC_803) = coupl(nGC_406)*dZee_QED2 + coupl(nGC_407)*dsw_QED2 +    &
                       coupl(nGC_408)*dcw_QED2
      coupl(nGC_802) = coupl(nGC_449)*dZee_QED2 + coupl(nGC_450)*dcw_QED2
      coupl(nGC_805) = coupl(nGC_415)*dsw_QED2 + coupl(nGC_416)*dZee_QED2 +    &
                       coupl(nGC_417)*dcw_QED2 + coupl(nGC_418)*dvev_QED1
      coupl(nGC_804) = coupl(nGC_399)*dZee_QED2 + coupl(nGC_400)*dsw_QED2 +    &
                       coupl(nGC_401)*dcw_QED2
      coupl(nGC_807) = coupl(nGC_441)*dZee_QED2
      coupl(nGC_806) = coupl(nGC_444)*dZee_QED2
      coupl(nGC_809) = coupl(nGC_323)*dZee_QED2 + coupl(nGC_324)*dsw_QED2
      coupl(nGC_808) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_1038) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_1039) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_1030) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2 +   &
                        coupl(nGC_39)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_1031) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1032) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +   &
                        coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_1033) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1035) = coupl(nGC_68)*dZeMinusL_QED2/2d0 + coupl(nGC_68)*      &
                        dZeMinusR_QED2/2d0 + coupl(nGC_849)
      coupl(nGC_717) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 +  &
                       coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73  &
                       )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0*&
                       pi**2d0*Nc)
      coupl(nGC_1150) = coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(nGC_61)*dZuL_QCD2/ &
                        2d0 + coupl(nGC_817)
      coupl(nGC_939) = coupl(nGC_19)*dZZA_QED2/2d0 - coupl(nGC_29)*dZA_QED2/4d0&
                        - coupl(nGC_29)*dZWMinus_QED2/2d0 - coupl(nGC_29)*     &
                       dZZ_QED2/4d0 + coupl(nGC_5)*dZAZ_QED2/2d0 - coupl(      &
                       nGC_770)/2d0
      coupl(nGC_938) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*             &
                       dZnu_tauL_QED2 + coupl(nGC_814)
      coupl(nGC_934) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_931) = coupl(nGC_42)*dZA_QED2/2d0 + coupl(nGC_42)*dZZ_QED2/2d0 &
                        + coupl(nGC_45)*dZZA_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/&
                       2d0 + coupl(nGC_796)
      coupl(nGC_930) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0 &
                        + coupl(nGC_798)
      coupl(nGC_478) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_479) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_474) = cima*(coupl(nGC_168)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_476) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(     &
                       nGC_39))/(8d0*pi**2d0)
      coupl(nGC_477) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(  &
                       nGC_39)**2d0)/(16d0*pi**2d0)
      coupl(nGC_473) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35  &
                       )**2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39&
                       )**2d0 - coupl(nGC_168)**2d0 - coupl(nGC_25)**2d0 - 2d0*&
                       coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl(&
                       nGC_41)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1159) = coupl(nGC_883) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl(  &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_496) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_497) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                       2d0)/(8d0*pi**2d0)
      coupl(nGC_494) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_495) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(     &
                       nGC_39))/(8d0*pi**2d0)
      coupl(nGC_493) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(     &
                       nGC_38))/(8d0*pi**2d0)
      coupl(nGC_559) = (coupl(nGC_160)*coupl(nGC_41)*coupl(nGC_65) + coupl(    &
                       nGC_184)*coupl(nGC_23)*coupl(nGC_66) + coupl(nGC_21)*   &
                       coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_40&
                       )*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65))/(32d0*pi**2d0&
                       )
      coupl(nGC_491) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                       2d0)/(8d0*pi**2d0)
      coupl(nGC_557) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_160)*coupl&
                       (nGC_39)*coupl(nGC_61) + coupl(nGC_164)*coupl(nGC_2)*   &
                       coupl(nGC_61) + coupl(nGC_184)*coupl(nGC_23)*coupl(     &
                       nGC_62) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_63) +   &
                       8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl(  &
                       nGC_34)*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_62)*    &
                       coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85&
                       )*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_556) = (-coupl(nGC_1)*coupl(nGC_164)*coupl(nGC_73) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(nGC_160)*coupl&
                       (nGC_34)*coupl(nGC_73) - coupl(nGC_174)*coupl(nGC_23)*  &
                       coupl(nGC_75) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_73  &
                       ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_74) + 8d0*    &
                       coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(nGC_39&
                       )*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(    &
                       nGC_59)*coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*    &
                       coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_555) = (-coupl(nGC_1)*coupl(nGC_164)*coupl(nGC_57) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(nGC_160)*coupl&
                       (nGC_38)*coupl(nGC_57) - coupl(nGC_184)*coupl(nGC_23)*  &
                       coupl(nGC_58) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_57  &
                       ) - coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_59) + 8d0*    &
                       coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(nGC_35&
                       )*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_58)*coupl(    &
                       nGC_73)*coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*    &
                       coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_554) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_160)*coupl&
                       (nGC_35)*coupl(nGC_77) + coupl(nGC_164)*coupl(nGC_2)*   &
                       coupl(nGC_77) + coupl(nGC_174)*coupl(nGC_23)*coupl(     &
                       nGC_79) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_78) +   &
                       8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl(  &
                       nGC_38)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*    &
                       coupl(nGC_55)*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56&
                       )*coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_553) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_160)*coupl&
                       (nGC_39)*coupl(nGC_53) + coupl(nGC_164)*coupl(nGC_2)*   &
                       coupl(nGC_53) + coupl(nGC_184)*coupl(nGC_23)*coupl(     &
                       nGC_54) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_55) +   &
                       8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl(  &
                       nGC_34)*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_54)*    &
                       coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77&
                       )*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_552) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) - &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -  &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +  &
                       2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0*&
                       cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME*&
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*   &
                       coupl(nGC_162)*coupl(nGC_51) + 4d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_47) - coupl(nGC_168)*coupl(nGC_174)*coupl(    &
                       nGC_52) - coupl(nGC_168)*coupl(nGC_21)*coupl(nGC_50) +  &
                       6d0*coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_47) + 6d0*   &
                       coupl(nGC_168)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25&
                       )*coupl(nGC_40)*coupl(nGC_47) - coupl(nGC_3)*coupl(nGC_4&
                       )*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_498) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(     &
                       nGC_39))/(8d0*pi**2d0)
      coupl(nGC_499) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_984) = coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_985) = coupl(nGC_65)*dZeMinusR_QED2/2d0 + coupl(nGC_65)*       &
                       dZnu_eL_QED2/2d0 + coupl(nGC_846)
      coupl(nGC_986) = coupl(nGC_52)*dZH_QED2/2d0 + coupl(nGC_52)*dZZ_QED2 +   &
                       coupl(nGC_805)
      coupl(nGC_987) = coupl(nGC_11)*dZcL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_808)
      coupl(nGC_988) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_989) = coupl(nGC_11)*dZcR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_808)
      coupl(nGC_458) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)**&
                       2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)**&
                       2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)**&
                       2d0 + coupl(nGC_160)**2d0 + coupl(nGC_164)**2d0 + coupl(&
                       nGC_170)*coupl(nGC_21) + coupl(nGC_174)*coupl(nGC_20) + &
                       2d0*coupl(nGC_184)*coupl(nGC_22) + coupl(nGC_4)**2d0 +  &
                       coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl(&
                       nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi**2d0)
      coupl(nGC_1140) = coupl(nGC_64)*dZdL_QED2/2d0 + coupl(nGC_64)*dZdR_QED2/ &
                        2d0 + coupl(nGC_828)
      coupl(nGC_1141) = coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(nGC_64)*dZdR_QCD2/ &
                        2d0 + coupl(nGC_829)
      coupl(nGC_1143) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1144) = coupl(nGC_881) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_MTA)*dZtauMinusR_QED2/2d0
      coupl(nGC_1145) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_1147) = coupl(nGC_818) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(  &
                        nGC_85)*dZuR_QED2/2d0
      coupl(nGC_1148) = coupl(nGC_819) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(  &
                        nGC_85)*dZuR_QCD2/2d0
      coupl(nGC_1149) = coupl(nGC_61)*dZdR_QED2/2d0 + coupl(nGC_61)*dZuL_QED2/ &
                        2d0 + coupl(nGC_816)
      coupl(nGC_748) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima&
                       *coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_188)**2d0  &
                        + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 -  &
                       21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**2d0 +    &
                       36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_596) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_174)*  &
                       coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_182)*coupl(     &
                       nGC_38)*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_55) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) -   &
                       coupl(nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_1169) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_654) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)*  &
                       coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_655) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                       ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_656) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_34)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)*coupl(&
                       nGC_56) + coupl(nGC_55)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_657) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_54)*  &
                       coupl(nGC_56) - coupl(nGC_55)**2d0 - coupl(nGC_77)**2d0 &
                       )/(64d0*pi**2d0)
      coupl(nGC_799) = coupl(nGC_318)*dZee_QED2 + coupl(nGC_319)*dcw_QED2
      coupl(nGC_651) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                       nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82 &
                       )*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0&
                       *coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**  &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_652) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(     &
                       nGC_35)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*    &
                       coupl(nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi** &
                       2d0)
      coupl(nGC_653) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39&
                       )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(    &
                       nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_795) = coupl(nGC_396)*dsw_QED2 + coupl(nGC_397)*dZee_QED2 +    &
                       coupl(nGC_398)*dvev_QED1
      coupl(nGC_794) = coupl(nGC_328)*dZee_QED2 + coupl(nGC_329)*dsw_QED2
      coupl(nGC_797) = coupl(nGC_373)*dZee_QED2 + coupl(nGC_374)*dsw_QED2 +    &
                       coupl(nGC_375)*dcw_QED2
      coupl(nGC_791) = coupl(nGC_332)*dZee_QED2 + coupl(nGC_333)*dsw_QED2
      coupl(nGC_790) = coupl(nGC_330)*dZee_QED2 + coupl(nGC_331)*dsw_QED2
      coupl(nGC_793) = coupl(nGC_316)*dZee_QED2 + coupl(nGC_317)*dsw_QED2
      coupl(nGC_792) = coupl(nGC_337)*dZee_QED2 + coupl(nGC_338)*dsw_QED2
      coupl(nGC_744) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl(&
                       nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0* &
                       Nc**2d0)
      coupl(nGC_745) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl&
                       (nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi**2d0*&
                       Nc)
      coupl(nGC_973) = -coupl(nGC_37)*dZH_QED2/2d0 - coupl(nGC_37)*dZZ_QED2/2d0&
                        - coupl(nGC_797)
      coupl(nGC_975) = coupl(nGC_46)*dZZA_QED2/2d0
      coupl(nGC_976) = coupl(nGC_52)*dZZA_QED2/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
