!******************************************************************************!
!                                                                              !
!    ctparameter102.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter102.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter102
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter102()
  if (dMM_QED2_scheme .eq. 0) then
    dMM_QED2 = (2d0*Ten302*cMM*coupl(nGC_4)**2d0 + Ten303*cMM*(-2d0*coupl(     &
               nGC_36)**2d0 + 8d0*coupl(nGC_36)*coupl(nGC_40) - 2d0*coupl(     &
               nGC_40)**2d0 - coupl(nGC_70)**2d0 - 2d0*coupl(nGC_70)*coupl(    &
               nGC_72) - coupl(nGC_72)**2d0)/2d0 + Ten304*cMM*coupl(nGC_71)**  &
               2d0 - 2d0*Ten305*cMM*coupl(nGC_4)**2d0 + Ten306*cMM*(2d0*coupl( &
               nGC_23)**2d0 + coupl(nGC_69)**2d0)/2d0 - Ten307*cMM*(coupl(     &
               nGC_36)**2d0 + coupl(nGC_40)**2d0 + coupl(nGC_70)*coupl(nGC_72  &
               )) - Ten308*cMM*coupl(nGC_71)**2d0 + 2d0*Ten309*cMM*coupl(nGC_71&
               )**2d0*rMM*(-cMM + rMM) + 4d0*Ten310*coupl(nGC_4)**2d0*rMM*(2d0*&
               cMM**2d0 - 3d0*cMM*rMM + rMM**2d0) + Ten311*rMM*(8d0*cMM**2d0*  &
               coupl(nGC_36)*coupl(nGC_40) - cMM**2d0*coupl(nGC_70)**2d0 - cMM &
               **2d0*coupl(nGC_72)**2d0 - 2d0*cMM*coupl(nGC_36)**2d0*rMM - 8d0*&
               cMM*coupl(nGC_36)*coupl(nGC_40)*rMM - 2d0*cMM*coupl(nGC_40)**2d0&
               *rMM + cMM*coupl(nGC_70)**2d0*rMM - 2d0*cMM*coupl(nGC_70)*coupl(&
               nGC_72)*rMM + cMM*coupl(nGC_72)**2d0*rMM + 2d0*coupl(nGC_36)**  &
               2d0*rMM**2d0 + 2d0*coupl(nGC_40)**2d0*rMM**2d0 + 2d0*coupl(     &
               nGC_70)*coupl(nGC_72)*rMM**2d0) + 2d0*Ten312*coupl(nGC_71)**2d0*&
               rMM**2d0*(cMM - rMM) + 4d0*Ten313*coupl(nGC_4)**2d0*rMM**2d0*(- &
               cMM + rMM) + Ten314*rMM**2d0*(2d0*cMM*coupl(nGC_23)**2d0 + cMM* &
               coupl(nGC_69)**2d0 - 2d0*coupl(nGC_23)**2d0*rMM - coupl(nGC_69  &
               )**2d0*rMM) + 2d0*Ten315*rMM**2d0*(-cMM*coupl(nGC_36)**2d0 - cMM&
               *coupl(nGC_40)**2d0 - cMM*coupl(nGC_70)*coupl(nGC_72) + coupl(  &
               nGC_36)**2d0*rMM + coupl(nGC_40)**2d0*rMM + coupl(nGC_70)*coupl(&
               nGC_72)*rMM) + (-16d0*pi*aEW*cMM**2d0 + 16d0*pi*aEW*rMM**2d0 +  &
               cMM*coupl(nGC_23)**2d0*rMM + cMM*coupl(nGC_36)**2d0*rMM - 4d0*  &
               cMM*coupl(nGC_36)*coupl(nGC_40)*rMM - 2d0*cMM*coupl(nGC_4)**2d0*&
               rMM + cMM*coupl(nGC_40)**2d0*rMM)/(2d0*rMM))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMM_QED2 = cone*real(dMM_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter102
end module ctparameter102
