!******************************************************************************!
!                                                                              !
!    ctparameter122.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter122.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter122
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter122()
  if (dZcR_QED2_scheme .eq. 0) then
    dZcR_QED2 = (2d0*Ten182*coupl(nGC_2)**2d0 + Ten183*(2d0*coupl(nGC_35)**2d0 &
                 + coupl(nGC_58)*coupl(nGC_60)) + Ten184*coupl(nGC_57)**2d0 -  &
                Ten185*coupl(nGC_59)**2d0 + 2d0*Ten186*coupl(nGC_2)**2d0 +     &
                Ten187*(2d0*coupl(nGC_35)**2d0 + coupl(nGC_58)*coupl(nGC_60    &
                )) + Ten188*coupl(nGC_57)**2d0 + 2d0*Ten190*cMC*coupl(nGC_59)**&
                2d0*rMC + 4d0*Ten191*coupl(nGC_2)**2d0*rMC*(-2d0*cMC + rMC) +  &
                Ten192*rMC*(-8d0*cMC*coupl(nGC_35)*coupl(nGC_39) + cMC*coupl(  &
                nGC_58)**2d0 + cMC*coupl(nGC_60)**2d0 + 2d0*coupl(nGC_35)**2d0*&
                rMC + 2d0*coupl(nGC_39)**2d0*rMC + 2d0*coupl(nGC_58)*coupl(    &
                nGC_60)*rMC) + Ten193*rMC*(2d0*cMS*coupl(nGC_57)*coupl(nGC_73  &
                ) + 2d0*coupl(nGC_23)**2d0*rMC + coupl(nGC_57)**2d0*rMC + coupl&
                (nGC_73)**2d0*rMC) - 2d0*Ten194*coupl(nGC_59)**2d0*rMC**2d0 +  &
                4d0*Ten195*coupl(nGC_2)**2d0*rMC**2d0 + 2d0*Ten196*rMC**2d0*(  &
                coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0 + coupl(nGC_58)*coupl( &
                nGC_60)) + Ten197*rMC**2d0*(2d0*coupl(nGC_23)**2d0 + coupl(    &
                nGC_57)**2d0 + coupl(nGC_73)**2d0) - coupl(nGC_2)**2d0 - coupl(&
                nGC_35)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcR_QED2 = cone*real(dZcR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter122
end module ctparameter122
