!******************************************************************************!
!                                                                              !
!    ctparameter34.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter34.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter34
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter34()
  if (dZcR_QCD2_scheme .eq. 0) then
    dZcR_QCD2 = (coupl(nGC_11)**2d0*(-Nc**2d0 + 1d0)/(2d0*Nc) + coupl(nGC_11)**&
                2d0*(Ten182*(Nc**2d0 - 1d0) + Ten186*(Nc**2d0 - 1d0) + 2d0*    &
                Ten191*rMC*(-2d0*Nc**2d0*cMC + Nc**2d0*rMC + 2d0*cMC - rMC) +  &
                2d0*Ten195*rMC**2d0*(Nc**2d0 - 1d0))/Nc)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcR_QCD2 = cone*real(dZcR_QCD2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter34
end module ctparameter34
