!******************************************************************************!
!                                                                              !
!    ctparameter57.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter57.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter57
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter57()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = (2d0*Ten144*cMU*coupl(nGC_2)**2d0 + Ten145*cMU*(-2d0*coupl(     &
               nGC_35)**2d0 + 8d0*coupl(nGC_35)*coupl(nGC_39) - 2d0*coupl(     &
               nGC_39)**2d0 - coupl(nGC_86)**2d0 - 2d0*coupl(nGC_86)*coupl(    &
               nGC_88) - coupl(nGC_88)**2d0)/2d0 - Ten146*(2d0*cMD*coupl(nGC_61&
               )*coupl(nGC_85) + 2d0*cMU*coupl(nGC_23)**2d0 + cMU*coupl(nGC_61 &
               )**2d0 + cMU*coupl(nGC_85)**2d0)/2d0 + Ten147*cMU*coupl(nGC_87  &
               )**2d0 - 2d0*Ten148*cMU*coupl(nGC_2)**2d0 - Ten149*cMU*(coupl(  &
               nGC_35)**2d0 + coupl(nGC_39)**2d0 + coupl(nGC_86)*coupl(nGC_88  &
               )) - Ten150*cMU*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_61)**2d0 +  &
               coupl(nGC_85)**2d0)/2d0 - Ten151*cMU*coupl(nGC_87)**2d0 + cMU*(-&
               2d0*coupl(nGC_2)**2d0 + coupl(nGC_23)**2d0 + coupl(nGC_35)**2d0 &
                - 4d0*coupl(nGC_35)*coupl(nGC_39) + coupl(nGC_39)**2d0)/2d0)/( &
               16d0*pi**2d0)
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter57
end module ctparameter57
