!******************************************************************************!
!                                                                              !
!    ctparameter66.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter66.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter66
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter66()
  if (dMTA_QED2_scheme .eq. 0) then
    dMTA_QED2 = (2d0*Ten330*cMTA*coupl(nGC_4)**2d0 + Ten331*cMTA*(-2d0*coupl(  &
                nGC_36)**2d0 + 8d0*coupl(nGC_36)*coupl(nGC_40) - 2d0*coupl(    &
                nGC_40)**2d0 - coupl(nGC_82)**2d0 - 2d0*coupl(nGC_82)*coupl(   &
                nGC_84) - coupl(nGC_84)**2d0)/2d0 + Ten332*cMTA*coupl(nGC_83)**&
                2d0 - 2d0*Ten333*cMTA*coupl(nGC_4)**2d0 + Ten334*cMTA*(2d0*    &
                coupl(nGC_23)**2d0 + coupl(nGC_81)**2d0)/2d0 - Ten335*cMTA*(   &
                coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0 + coupl(nGC_82)*coupl( &
                nGC_84)) - Ten336*cMTA*coupl(nGC_83)**2d0 + 2d0*Ten337*cMTA*   &
                coupl(nGC_83)**2d0*rMTA*(-cMTA + rMTA) + 4d0*Ten338*coupl(nGC_4&
                )**2d0*rMTA*(2d0*cMTA**2d0 - 3d0*cMTA*rMTA + rMTA**2d0) +      &
                Ten339*rMTA*(8d0*cMTA**2d0*coupl(nGC_36)*coupl(nGC_40) - cMTA**&
                2d0*coupl(nGC_82)**2d0 - cMTA**2d0*coupl(nGC_84)**2d0 - 2d0*   &
                cMTA*coupl(nGC_36)**2d0*rMTA - 8d0*cMTA*coupl(nGC_36)*coupl(   &
                nGC_40)*rMTA - 2d0*cMTA*coupl(nGC_40)**2d0*rMTA + cMTA*coupl(  &
                nGC_82)**2d0*rMTA - 2d0*cMTA*coupl(nGC_82)*coupl(nGC_84)*rMTA  &
                 + cMTA*coupl(nGC_84)**2d0*rMTA + 2d0*coupl(nGC_36)**2d0*rMTA**&
                2d0 + 2d0*coupl(nGC_40)**2d0*rMTA**2d0 + 2d0*coupl(nGC_82)*    &
                coupl(nGC_84)*rMTA**2d0) + 2d0*Ten340*coupl(nGC_83)**2d0*rMTA**&
                2d0*(cMTA - rMTA) + 4d0*Ten341*coupl(nGC_4)**2d0*rMTA**2d0*(-  &
                cMTA + rMTA) + Ten342*rMTA**2d0*(2d0*cMTA*coupl(nGC_23)**2d0 + &
                cMTA*coupl(nGC_81)**2d0 - 2d0*coupl(nGC_23)**2d0*rMTA - coupl( &
                nGC_81)**2d0*rMTA) + 2d0*Ten343*rMTA**2d0*(-cMTA*coupl(nGC_36  &
                )**2d0 - cMTA*coupl(nGC_40)**2d0 - cMTA*coupl(nGC_82)*coupl(   &
                nGC_84) + coupl(nGC_36)**2d0*rMTA + coupl(nGC_40)**2d0*rMTA +  &
                coupl(nGC_82)*coupl(nGC_84)*rMTA) + (-16d0*pi*aEW*cMTA**2d0 +  &
                16d0*pi*aEW*rMTA**2d0 + cMTA*coupl(nGC_23)**2d0*rMTA + cMTA*   &
                coupl(nGC_36)**2d0*rMTA - 4d0*cMTA*coupl(nGC_36)*coupl(nGC_40)*&
                rMTA - 2d0*cMTA*coupl(nGC_4)**2d0*rMTA + cMTA*coupl(nGC_40)**  &
                2d0*rMTA)/(2d0*rMTA))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMTA_QED2 = cone*real(dMTA_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter66
end module ctparameter66
