!******************************************************************************!
!                                                                              !
!    tcFFVa.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcFFVa.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcFFVa
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20
  contains
    subroutine treeFFVa(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,  &
    VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VFaF0)
!       GammaM(1,2,3)*c0
!       GammaP(1,2,3)*c1
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = cima*w1(2)
          x1 = -w1(0)*w2(1) - w1(1)*w2(0) + w1(3)*w2(1) + w2(0)*x0
          x2 = w1(0) + w1(3)
          x3 = w2(0)*x2
          x4 = w2(1)*(w1(1) + x0)
          x5 = -w1(0)*w2(2) + w1(1)*w2(3) + w1(3)*w2(2) + w2(3)*x0
          x6 = co(1)*m
          x7 = w2(3)*x2
          x8 = w2(2)*(-w1(1) + x0)
          x9 = co(0)*m
          wout(0) = -co(0)*(pl(1)*x3 + pl(1)*x4 + pl(2)*x1) + x5*x6
          wout(1) = co(0)*(pl(0)*x1 + pl(3)*x3 + pl(3)*x4) - x6*(-w1(1)*w2(2   &
                    ) + w2(2)*x0 + x7)
          wout(2) = co(1)*(pl(0)*x5 - pl(2)*x7 - pl(2)*x8) - x9*(x3 + x4)
          wout(3) = -co(1)*(pl(1)*x7 + pl(1)*x8 - pl(3)*x5) + x1*x9
        else
          x0 = cima*w1(2)
          x1 = w1(1) + x0
          x2 = w1(0) + w1(3)
          wout(0) = co(1)*(-w1(0)*w2(2) + w1(3)*w2(2) + w2(3)*x1)
          wout(1) = -co(1)*(-w1(1)*w2(2) + w2(2)*x0 + w2(3)*x2)
          wout(2) = -co(0)*(w2(0)*x2 + w2(1)*x1)
          wout(3) = -co(0)*(w1(1)*w2(0) - w2(0)*x0 + w2(1)*(w1(0) - w1(3)))
        end if 
      case(VFaF1)
!       GammaM(1,2,3)*c0
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = w1(1)*w2(0)
          x1 = cima*w1(2)
          x2 = w2(0)*x1
          x3 = -w1(0)*w2(1) + w1(3)*w2(1) - x0 + x2
          x4 = w2(0)*(w1(0) + w1(3))
          x5 = w2(1)*(w1(1) + x1)
          x6 = co(0)*m
          wout(0) = -co(0)*(pl(1)*x4 + pl(1)*x5 + pl(2)*x3)
          wout(1) = co(0)*(pl(0)*x3 + pl(3)*x4 + pl(3)*x5)
          wout(2) = -x6*(x4 + x5)
          wout(3) = -x6*(w2(1)*(w1(0) - w1(3)) + x0 - x2)
        else
          x0 = cima*w1(2)
          wout(0) = 0
          wout(1) = 0
          wout(2) = -co(0)*(w2(0)*(w1(0) + w1(3)) + w2(1)*(w1(1) + x0))
          wout(3) = -co(0)*(w1(1)*w2(0) - w2(0)*x0 + w2(1)*(w1(0) - w1(3)))
        end if 
      case(FFaV0)
!       GammaM(3,2,1)*c0
!       GammaP(3,2,1)*c1
        if (last) VB_last = .true.
        x0 = co(0)*w1(2)*w2(0)
        x1 = co(1)*w1(1)*w2(3)
        x2 = co(0)*w1(3)*w2(1) + co(1)*w1(0)*w2(2)
        x3 = w1(0)*w2(3)
        x4 = w1(1)*w2(2)
        x5 = w1(2)*w2(1)
        x6 = w1(3)*w2(0)
        wout(0) = x0 + x1 + x2
        wout(1) = -co(0)*(x5 + x6) + co(1)*(x3 + x4)
        wout(2) = -cima*(co(0)*x5 - co(0)*x6 - co(1)*x3 + co(1)*x4)
        wout(3) = -x0 - x1 + x2
      case(FFaV1)
!       GammaM(3,2,1)*c0
        if (last) VB_last = .true.
        x0 = w1(2)*w2(0)
        x1 = w1(3)*w2(1)
        x2 = w1(2)*w2(1)
        x3 = w1(3)*w2(0)
        wout(0) = co(0)*(x0 + x1)
        wout(1) = -co(0)*(x2 + x3)
        wout(2) = -cima*co(0)*(x2 - x3)
        wout(3) = -co(0)*(x0 - x1)
      case(FaVF0)
!       GammaM(2,1,3)*c0
!       GammaP(2,1,3)*c1
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = cima*w2(2)
          x1 = -w1(0)*w2(1) + w1(0)*x0 - w1(1)*w2(0) + w1(1)*w2(3)
          x2 = w2(0) + w2(3)
          x3 = w1(0)*x2
          x4 = w2(1) + x0
          x5 = w1(1)*x4
          x6 = w1(3)*x4
          x7 = w1(2)*(w2(0) - w2(3))
          x8 = co(1)*m
          x9 = w1(2)*(-w2(1) + x0)
          x10 = w1(3)*x2
          x11 = co(0)*m
          wout(0) = -co(0)*(pl(1)*x3 + pl(1)*x5 + pl(2)*x1) + x8*(x6 - x7)
          wout(1) = co(0)*(pl(0)*x1 + pl(3)*x3 + pl(3)*x5) - x8*(x10 + x9)
          wout(2) = co(1)*(pl(0)*x6 - pl(0)*x7 - pl(2)*x10 - pl(2)*x9) - x11*( &
                    x3 + x5)
          wout(3) = -co(1)*(pl(1)*x10 + pl(1)*x9 - pl(3)*x6 + pl(3)*x7) + x1*x11
        else
          x0 = cima*w2(2)
          x1 = w2(1) + x0
          x2 = w2(0) + w2(3)
          wout(0) = -co(1)*(w1(2)*(w2(0) - w2(3)) - w1(3)*x1)
          wout(1) = -co(1)*(w1(2)*(-w2(1) + x0) + w1(3)*x2)
          wout(2) = -co(0)*(w1(0)*x2 + w1(1)*x1)
          wout(3) = co(0)*(-w1(0)*w2(1) + w1(0)*x0 - w1(1)*w2(0) + w1(1)*w2(3))
        end if 
      case(FaVF1)
!       GammaM(2,1,3)*c0
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = cima*w2(2)
          x1 = -w1(0)*w2(1) + w1(0)*x0 - w1(1)*w2(0) + w1(1)*w2(3)
          x2 = w2(0) + w2(3)
          x3 = w1(0)*x2
          x4 = w2(1) + x0
          x5 = w1(1)*x4
          x6 = co(0)*m
          wout(0) = -co(0)*(pl(1)*x3 + pl(1)*x5 + pl(2)*x1)
          wout(1) = co(0)*(w1(0)*(pl(0)*(-w2(1) + x0) + pl(3)*x2) - w1(1)*(pl(0&
                    )*(w2(0) - w2(3)) - pl(3)*x4))
          wout(2) = -x6*(x3 + x5)
          wout(3) = x1*x6
        else
          x0 = cima*w2(2)
          wout(0) = 0
          wout(1) = 0
          wout(2) = -co(0)*(w1(0)*(w2(0) + w2(3)) + w1(1)*(w2(1) + x0))
          wout(3) = co(0)*(-w1(0)*w2(1) + w1(0)*x0 - w1(1)*w2(0) + w1(1)*w2(3))
        end if 
      case(FVFa0)
!       GammaM(2,3,1)*c0
!       GammaP(2,3,1)*c1
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = cima*w2(2)
          x1 = w1(0)*w2(0) - w1(0)*w2(3) - w1(1)*w2(1) + w1(1)*x0
          x2 = w2(0) + w2(3)
          x3 = w1(1)*x2
          x4 = w2(1) + x0
          x5 = w1(0)*x4
          x6 = w1(2)*x2
          x7 = -w2(1) + x0
          x8 = w1(3)*x7
          x9 = co(0)*(x6 - x8)
          x10 = w2(0) - w2(3)
          x11 = w1(2)*x4 + w1(3)*x10
          x12 = co(0)*x11
          x13 = co(1)*m
          wout(0) = co(1)*(pl(0)*x1 + pl(3)*x3 - pl(3)*x5) - m*x9
          wout(1) = co(1)*(pl(1)*x3 - pl(1)*x5 + pl(2)*x1) - m*x12
          wout(2) = -co(0)*(-pl(1)*x6 + pl(1)*x8 + pl(3)*x11) - x13*(w1(0)*x10 &
                     + w1(1)*x7)
          wout(3) = pl(0)*x12 - pl(2)*x9 + x13*(-x3 + x5)
        else
          x0 = w2(0) + w2(3)
          x1 = cima*w2(2)
          x2 = -w2(1) + x1
          x3 = w2(1) + x1
          x4 = w2(0) - w2(3)
          wout(0) = -co(0)*(w1(2)*x0 - w1(3)*x2)
          wout(1) = -co(0)*(w1(2)*x3 + w1(3)*x4)
          wout(2) = -co(1)*(w1(0)*x4 + w1(1)*x2)
          wout(3) = co(1)*(w1(0)*x3 - w1(1)*x0)
        end if 
      case(FVFa1)
!       GammaM(2,3,1)*c0
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = cima*w2(2)
          x1 = w1(2)*(w2(0) + w2(3)) - w1(3)*(-w2(1) + x0)
          x2 = co(0)*m
          x3 = w1(2)*(w2(1) + x0) + w1(3)*(w2(0) - w2(3))
          wout(0) = -x1*x2
          wout(1) = -x2*x3
          wout(2) = co(0)*(pl(1)*x1 - pl(3)*x3)
          wout(3) = co(0)*(pl(0)*x3 - pl(2)*x1)
        else
          x0 = cima*w2(2)
          wout(0) = -co(0)*(w1(2)*(w2(0) + w2(3)) - w1(3)*(-w2(1) + x0))
          wout(1) = -co(0)*(w1(2)*(w2(1) + x0) + w1(3)*(w2(0) - w2(3)))
          wout(2) = 0
          wout(3) = 0
        end if 
      case(FaFV0)
!       GammaM(3,1,2)*c0
!       GammaP(3,1,2)*c1
        if (last) VB_last = .true.
        x0 = co(0)*w1(0)*w2(2)
        x1 = co(1)*w1(3)*w2(1)
        x2 = co(0)*w1(1)*w2(3) + co(1)*w1(2)*w2(0)
        x3 = w1(2)*w2(1)
        x4 = w1(3)*w2(0)
        x5 = w1(0)*w2(3)
        x6 = w1(1)*w2(2)
        wout(0) = x0 + x1 + x2
        wout(1) = -co(0)*(x5 + x6) + co(1)*(x3 + x4)
        wout(2) = cima*(co(0)*x5 - co(0)*x6 - co(1)*x3 + co(1)*x4)
        wout(3) = -x0 - x1 + x2
      case(FaFV1)
!       GammaM(3,1,2)*c0
        if (last) VB_last = .true.
        x0 = w1(0)*w2(2)
        x1 = w1(1)*w2(3)
        x2 = w1(0)*w2(3)
        x3 = w1(1)*w2(2)
        wout(0) = co(0)*(x0 + x1)
        wout(1) = -co(0)*(x2 + x3)
        wout(2) = cima*co(0)*(x2 - x3)
        wout(3) = -co(0)*(x0 - x1)
      case(VFFa0)
!       GammaM(1,3,2)*c0
!       GammaP(1,3,2)*c1
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = cima*w1(2)
          x1 = co(1)*(w1(0)*w2(0) - w1(1)*w2(1) - w1(3)*w2(0) + w2(1)*x0)
          x2 = w1(0) + w1(3)
          x3 = w2(2)*x2
          x4 = w2(3)*(-w1(1) + x0)
          x5 = x3 - x4
          x6 = co(0)*m
          x7 = -w2(1)*x2
          x8 = co(1)*(w2(0)*(w1(1) + x0) + x7)
          x9 = w1(1)*w2(2) + w2(2)*x0
          x10 = w2(3)*(w1(0) - w1(3)) + x9
          wout(0) = pl(0)*x1 - pl(3)*x8 - x5*x6
          wout(1) = -pl(1)*x8 + pl(2)*x1 - x10*x6
          wout(2) = -co(0)*(-pl(1)*x3 + pl(1)*x4 + pl(3)*(w1(0)*w2(3) - w1(3)* &
                    w2(3) + x9)) - m*x1
          wout(3) = co(0)*pl(0)*x10 - co(0)*pl(2)*x5 + co(1)*m*(w1(1)*w2(0) +  &
                    w2(0)*x0 + x7)
        else
          x0 = w1(0) + w1(3)
          x1 = cima*w1(2)
          x2 = -w1(1) + x1
          wout(0) = -co(0)*(w2(2)*x0 - w2(3)*x2)
          wout(1) = -co(0)*(w1(1)*w2(2) + w2(2)*x1 + w2(3)*(w1(0) - w1(3)))
          wout(2) = -co(1)*(w1(0)*w2(0) - w1(3)*w2(0) + w2(1)*x2)
          wout(3) = co(1)*(w1(1)*w2(0) + w2(0)*x1 - w2(1)*x0)
        end if 
      case(VFFa1)
!       GammaM(1,3,2)*c0
        if (last .eqv. .false.) then
          pl(:) = PL1(:) + PL2(:)
          x0 = w2(2)*(w1(0) + w1(3))
          x1 = cima*w1(2)
          x2 = w2(3)*(-w1(1) + x1)
          x3 = x0 - x2
          x4 = co(0)*m
          x5 = w1(1)*w2(2) + w2(2)*x1
          x6 = w2(3)*(w1(0) - w1(3)) + x5
          wout(0) = -x3*x4
          wout(1) = -x4*x6
          wout(2) = -co(0)*(-pl(1)*x0 + pl(1)*x2 + pl(3)*(w1(0)*w2(3) - w1(3)* &
                    w2(3) + x5))
          wout(3) = co(0)*(pl(0)*x6 - pl(2)*x3)
        else
          x0 = cima*w1(2)
          wout(0) = -co(0)*(w2(2)*(w1(0) + w1(3)) - w2(3)*(-w1(1) + x0))
          wout(1) = -co(0)*(w1(1)*w2(2) + w2(2)*x0 + w2(3)*(w1(0) - w1(3)))
          wout(2) = 0
          wout(3) = 0
        end if 
      end select 
    end subroutine treeFFVa
end module tcFFVa
